Groovy Documentation

## org.codehaus.groovy.runtime.metaclass
[Java] Class ConcurrentReaderHashMap.Entry

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.Entry

All Implemented Interfaces:
  java.util.Map$Entry

    protected static class ConcurrentReaderHashMap.Entry

Field Summary
`protected int` | `hash`
`protected java.lang.Object` | `key`
`protected Entry` | `next`
`protected java.lang.Object` | `value`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.Object` | `getKey()`
`java.lang.Object` | `getValue()`
`int` | `hashCode()`
`java.lang.Object` | `setValue(java.lang.Object value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### hash

    protected final int hash

### key

    protected final java.lang.Object key

### next

    protected final Entry next

### value

    protected java.lang.Object value

Method Detail

### equals

    public boolean equals(java.lang.Object o)

### getKey

    public java.lang.Object getKey()

### getValue

    public java.lang.Object getValue()

### hashCode

    public int hashCode()

### setValue

    public java.lang.Object setValue(java.lang.Object value)

### toString

    public java.lang.String toString()

Groovy Documentation